
Auto Multiple Choice - Feature # 229: Set metadata for the pdf file generated by AMC

Status: New Priority: Normal
Author: Anirvan Sarkar Category:
Created: 10/11/2013 Assignee: Anirvan Sarkar
Updated: 06/20/2014 Due date:
Description: The default _PDF Creator_ metadata for the pdf file AMC generates is Tex. It would be nice if this is changed 

to display the name of AMC and the version which generated it.

Also it would be nice to have some basic commands like \AMCAuthor to set the Author metadata and similar 
for Title and Subject metadata so that it is easily set by people using AMC-TXT.

I have attached a file which implements this.

History
10/12/2013 08:45 am - Anirvan Sarkar
Anirvan Sarkar wrote:
> Also it would be nice to have some basic commands like \AMCAuthor to set the Author metadata and similar for Title and Subject metadata so that it 
is easily set by people using AMC-TXT.

Instead of using latex commands it would be more convenient to set it in the project preferences similar to how one can set the Examination Name in 
the the *Examination description* section in _Edit>Preferences>Project_ window. So one doesn't have to make any changes in the latex source file and 
maybe it will also be easier for you to implement.

06/20/2014 07:47 pm - Anirvan Sarkar
- Assignee set to Anirvan Sarkar

06/20/2014 08:06 pm - Anirvan Sarkar
If we use the @hyperref@ package as I did in @set-metadata.sty@ we can only set the metadata for the pdf generated by Latex and not the ones 
created in annotation process. So I am leaning more to use the "PDF::API2":http://search.cpan.org/dist/PDF-API2/ module to set the metadata for all 
the pdf files generated by AMC using the "$pdf->info(%infohash)":http://search.cpan.org/~ssimms/PDF-API2-2.021/lib/PDF/API2.pm#infohash method. 
But this will add a new dependency to @libpdf-api2-perl@ package. What are your thoughts?

Files
set-metadata.sty 325 Bytes 10/11/2013 Anirvan Sarkar
